Get environment links

get/v1/environments/{environmentId}/operations/configmodifierlinks
MCP ToolRead
Page View

Config modifier endpoints allow you to review and manage config modifiers and their related links. Learn about config modifiers.

Anyone in a Redox organization can view config modifiers and related links, but you must be assigned to an engineer or support role to update them.

You can:

  • retrieve a list of config modifiers by environment or organization;
  • create config modifiers or links;
  • update config modifiers or links; or
  • delete config modifiers or link.

Get environment links

Retrieve all related links for an existing config modifier. Links indicate where the config modifier is applied during log processing.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/environments/{environmentId}/operations/configmodifierlinks' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json'

Path Parameters

  • environmentId
    required, string

    Identifies the specific environment that you're operating in or on behalf of.

Query Parameters

  • _page
    number

    Indicates a specific page of results to return. This value typically comes from a previous response's page object.

  • _count
    number

    Defines the number of results to return per page. The maximum value per page is 50.

  • sourceId
    string

    Contains the unique identifier of the source.

  • destinationId
    string

    Contains the unique identifier of the destination.

  • dataModel
    string

    Identifies the Redox data model that the link applies to.

  • processingLocation
    string

    Specifies where the config modifier executes during log processing.

  • ownedBy
    string

Response fields and example

Example payload generated from schema
1
{
2
"meta": {
3
"version": "1.0.0",
4
"totalRecords": 0,
5
"links": {
6
"self": "string",
7
"next": "string",
8
"prev": "string",
9
"first": "string",
10
"last": "string"
11
},
12
"currentPage": 1,
13
"pageType": "offest",
14
"pageSize": 0
15
},
16
"payload": {
17
"configModifierLinks": [
18
{
19
"configModifier": {
20
"id": "f84d602d-7449-4a13-b9a4-8688cae85726",
21
"version": 0,
22
"name": "string",
23
"selector": "$.Patient.Identifiers[*].ID",
24
"flavor": "put"
25
},
26
"id": "dc5d2a43-df19-459c-b14f-450584ce1c55",
27
"ownedBy": "source",
28
"processingLocation": "source-request",
29
"dataModel": "PatientAdmin",
30
"eventTypes": [
31
"string"
32
],
33
"source": {
34
"id": "1ee1d994-652f-44b5-9342-4b3e8b9918ee",
35
"name": "string"
36
},
37
"destination": {
38
"id": "39a858ea-4474-4d04-b37e-88862fe4054d",
39
"name": "string"
40
},
41
"organization": {
42
"id": 122,
43
"name": "string"
44
},
45
"connectingOrganization": {
46
"id": 122,
47
"name": "string"
48
},
49
"environment": {
50
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
51
},
52
"processingOrder": {
53
"order": 0,
54
"total": 0
55
},
56
"createdAt": "2024-04-25T18:17:16.719Z",
57
"createdBy": {
58
"id": 0,
59
"name": "string"
60
},
61
"updatedAt": "2024-04-28T19:17:16.719Z",
62
"updatedBy": {
63
"id": 0,
64
"name": "string"
65
},
66
"deletedAt": "2024-04-29T02:18:00.000Z",
67
"deletedBy": {
68
"id": 0,
69
"name": "string"
70
}
71
}
72
]
73
}
74
}
  • meta
    object

    Contains metadata about paginated results of returned data.

    • version
      string

      Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

    • totalRecords
      number

      Specifies the total number of records across all pages for the result set.

      • self
        string

        Links to the current page of results.

      • next
        string

        Links to the next page of results.

      • prev
        string

        Links to the previous page of results, which returns the page based on the current page you're on.

      • first
        string

        Links to the first page of results.

      • last
        string

        Links to the last page of results.

    • currentPage
      number

      Specifies the current page number.

    • pageType
      string

      Describes the pagination algorithm.

      Value: offest
    • pageSize
      number

      Describes the number of records included in each page of the current result set.

  • payload
    object

    Contains the payload with details about the requested config modifier links.

    • Contains an array with details about the requested config modifier links.

      • configModifier
        object

        Describes the config modifier details.

        • id
          string

          Contains the unique identifier of the linked config modifier.

        • version
          number

          Indicates the iteration, or version number, of the config modifier. Version numbers start at 1 and increment every time a config modifier is updated.

        • name
          string

          Displays the human-readable name of the config modifier.

        • selector
          string

          Indicates the field path within the payload that this config modifier operates upon.

        • flavor
          string

          Indicates the type, or flavor, of config modifier. A put flavor alters data (i.e., creates or replaces) in a payload, while a delete flavor removes data from a payload.

          Possible Values: put, delete
      • id
        string

        Displays the unique identifier of the specified config modifier link.

        Format: uuid
      • ownedBy
        string

        Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link.

        Possible Values: source, destination
      • processingLocation
        string

        Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.

        Possible Values: source-request, destination-request, source-response, destination-response
      • dataModel
        string

        Identifies the Redox data model that the link applies to.

      • eventTypes
        Array of string

        Indicates which event type(s) of the data model the config modifier is linked to. If not restricted to certain event types, you must explicitly set this field to null; this means the config modifier is linked to all event types.

      • source
        object

        Specifies the source of the subscription that the config modifier is linked to.

        • id
          string

          Contains the unique identifier of the source.

        • name
          nullable, string

          Displays the human-readable name of the source.

      • destination
        object

        Specifies the destination of the subscription that the config modifier is linked to.

        • id
          string

          Contains the unique identifier of the destination.

        • name
          nullable, string

          Displays the human-readable name of the destination.

      • organization
        object

        Contains metadata about the Redox organization.

        • id
          number

          Contains the unique identifier of the Redox organization.

        • name
          nullable, string

          Contains the human-readable name of the Redox organization.

      • connectingOrganization
        object

        Specifies the organization the asset is connected to when the subscription relates to a partner organization.

        • id
          number

          Contains the unique identifier of the Redox organization.

        • name
          nullable, string

          Contains the human-readable name of the Redox organization.

      • environment
        object

        Contains metadata about the environment within the associated Redox organization.

        • id
          string

          Contains the unique identifier of the Redox environment.

          Format: uuid
      • processingOrder
        object

        Contains the details for the processing order of the config modifiers linked to a given subscription.

        • order
          nullable, number

          Specifies the order that the config modifiers should run at the given processing location.

        • total
          number

          Displays the total number of config modifier links for the given subscription and processing location.

      • createdAt
        string

        Displays the date and time that the link was originally created in ISO 8601 format.

      • createdBy
        object

        Contains the metadata about the user who created the asset.

        • id
          number

          Contains the unique identifier of the user.

        • name
          nullable, string

          Displays the user's full name.

      • updatedAt
        nullable, string

        Displays the date and time that the link was last updated.

      • updatedBy
        object

        Contains the metadata about the user who last updated the asset.

        • id
          number

          Contains the unique identifier of the user.

        • name
          nullable, string

          Displays the user's full name.

      • deletedAt
        nullable, string

        Displays the date and time that the link was deleted. Returns a null value if the link hasn't been deleted.

      • deletedBy
        nullable, object

        Contains metadata about the user who performed the delete. Returns a null value if the config modifier hasn't been deleted.

        • id
          number

          Contains the unique identifier of the user.

        • name
          nullable, string

          Displays the user's full name.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.